Bug 1595332 (CVE-2018-8039) - CVE-2018-8039 apache-cxf: TLS hostname verification does not work correctly with com.sun.net.ssl.*
Summary: CVE-2018-8039 apache-cxf: TLS hostname verification does not work correctly w...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-8039
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20180629,repo...
Depends On: 1596425 1597534 1597535
Blocks: 1595337
TreeView+ depends on / blocked
 
Reported: 2018-06-26 16:05 UTC by Laura Pardo
Modified: 2019-06-11 11:13 UTC (History)
72 users (show)

Fixed In Version: apache-cxf 3.2.5, apache-cxf 3.1.16
Doc Type: If docs needed, set a value
Doc Text:
It was discovered that when Apache CXF is configured to use the system property com.sun.net.ssl.internal.www.protocol ,it uses reflection to make the HostnameVerifier work with old com.sun.net.ssl.HostnameVerifier interface. Although the CXF implementation throws an exception, which is caught in the reflection code but it is not properly propagated, this can lead to a man-in-the-middle attack.
Clone Of:
Environment:
Last Closed: 2019-06-10 10:30:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2276 None None None 2018-07-26 15:48:59 UTC
Red Hat Product Errata RHSA-2018:2277 None None None 2018-07-26 15:40:12 UTC
Red Hat Product Errata RHSA-2018:2279 None None None 2018-07-26 15:49:46 UTC
Red Hat Product Errata RHSA-2018:2423 None None None 2018-08-15 11:32:16 UTC
Red Hat Product Errata RHSA-2018:2424 None None None 2018-08-15 11:34:10 UTC
Red Hat Product Errata RHSA-2018:2425 None None None 2018-08-15 11:21:15 UTC
Red Hat Product Errata RHSA-2018:2428 None None None 2018-08-15 11:29:00 UTC
Red Hat Product Errata RHSA-2018:2643 None None None 2018-09-04 13:46:31 UTC
Red Hat Product Errata RHSA-2018:3768 None None None 2018-12-04 16:02:02 UTC
Red Hat Product Errata RHSA-2018:3817 None None None 2018-12-11 14:12:28 UTC

Description Laura Pardo 2018-06-26 16:05:31 UTC
A flaw was found in the way Apache CXF handle exceptions when CXF is configured to use the com.sun.net.ssl implementation via System.setProperty("java.protocol.handler.pkgs", "com.sun.net.ssl.internal.www.protocol") function. When this system property is set, CXF uses some reflection to try to make the HostnameVerifier work with the old com.sun.net.ssl.HostnameVerifier interface. However, the default HostnameVerifier implementation in CXF does not implement the method in this interface therefore an exception is thrown. The exception is caught in the reflection code but not properly propagated which leaves CXF client subject to man-in-the-middle attacks.


Upstream Patch:
https://github.com/apache/cxf/commit/fae6fabf9bd7647f5e9cb68897a7d7

Comment 3 Sam Fowler 2018-06-29 00:15:19 UTC
Created cxf tracking bugs for this issue:

Affects: fedora-all [bug 1596425]

Comment 7 errata-xmlrpc 2018-07-26 15:39:50 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2018:2277 https://access.redhat.com/errata/RHSA-2018:2277

Comment 8 errata-xmlrpc 2018-07-26 15:48:36 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 7
  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 6

Via RHSA-2018:2276 https://access.redhat.com/errata/RHSA-2018:2276

Comment 9 errata-xmlrpc 2018-07-26 15:49:28 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On

Via RHSA-2018:2279 https://access.redhat.com/errata/RHSA-2018:2279

Comment 11 errata-xmlrpc 2018-08-15 11:20:51 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2018:2425 https://access.redhat.com/errata/RHSA-2018:2425

Comment 12 errata-xmlrpc 2018-08-15 11:28:41 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.2.4 zip

Via RHSA-2018:2428 https://access.redhat.com/errata/RHSA-2018:2428

Comment 13 errata-xmlrpc 2018-08-15 11:31:55 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 6

Via RHSA-2018:2423 https://access.redhat.com/errata/RHSA-2018:2423

Comment 14 errata-xmlrpc 2018-08-15 11:33:43 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 7

Via RHSA-2018:2424 https://access.redhat.com/errata/RHSA-2018:2424

Comment 17 errata-xmlrpc 2018-09-04 13:46:01 UTC
This issue has been addressed in the following products:

  Red Hat Virtualization 4 for Red Hat Enterprise Linux 7

Via RHSA-2018:2643 https://access.redhat.com/errata/RHSA-2018:2643

Comment 19 errata-xmlrpc 2018-12-04 16:01:43 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 7.2

Via RHSA-2018:3768 https://access.redhat.com/errata/RHSA-2018:3768

Comment 20 errata-xmlrpc 2018-12-11 14:12:26 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Fuse

Via RHSA-2018:3817 https://access.redhat.com/errata/RHSA-2018:3817


Note You need to log in before you can comment on or make changes to this bug.